Name:		bcunit
Version:	3.0.2
Release:	3%{?dist}
URL:		https://github.com/BelledonneCommunications/bcunit
Source0:	https://www.linphone.org/releases/sources/bcunit/%{name}-%{version}.tar.gz
# adjust hard-coded install path for docs
Patch0:		bcunit-docdir-fix.patch
# we build with curses support, fix the pkgconfig file to reflect that
Patch1:		bcunit-pkgconfig-ncurses.patch
# fix cmake
Patch2:		bcunit-cmake-sover-fix.patch
License:	LGPLv2+
Summary:	A C Unit Testing Framework, fork of the defunct CUnit
BuildRequires:	gcc
BuildRequires:	cmake, libtool
BuildRequires:	ncurses-devel

%description
A C Unit Testing Framework, fork of the defunct CUnit.

%package devel
Summary:	Development libraries for bcunit
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	ncurses-devel%{?_isa}

%description devel
Developm	ent libraries for bcunit.

%prep
%setup -q -n BCunit-%{version}-Source
%patch0 -p1 -b .docdirfix
%patch1 -p1 -b .ncurses
%patch2 -p1 -b .soverfix

%build
%cmake . -DENABLE_CURSES=ON -DENABLE_DOC=ON -DENABLE_STATIC=OFF

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%doc README AUTHORS
%doc %{_datadir}/doc/BCUnit/
%{_libdir}/libbcunit.so.*
%{_datadir}/BCUnit/
%{_mandir}/man3/BCUnit.3*

%files devel
%{_includedir}/BCUnit/
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
# This has the cmake bits.
%dir %{_datadir}/BCunit/
%{_datadir}/BCunit/cmake/

%changelog
* Wed Jan 8 2020 Tom Callaway <spot@fedoraproject.org> - 3.0.2-3
- switch to cmake to get cmake files

* Wed Jan 8 2020 Tom Callaway <spot@fedoraproject.org> - 3.0.2-2
- disable curses by default (the .pc file does not pick up ncurses as a dep)

* Wed Jan 8 2020 Tom Callaway <spot@fedoraproject.org> - 3.0.2-1
- initial package
